SND_PCM_HW_CONSTRAIN(9)

NAME
snd_pcm_hw_constraint_mask64 - apply the given bitmap mask constraint

SYNOPSIS

int snd_pcm_hw_constraint_mask64(struct snd_pcm_runtime * runtime, snd_pcm_hw_param_t var, u_int64_t mask);

ARGUMENTS

runtime
    PCM runtime instance

var
    hw_params variable to apply the mask

mask
    the 64bit bitmap mask

DESCRIPTION

Apply the constraint of the given bitmap mask to a 64-bit mask parameter.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT